[viirb] wait until it comes online

This commit is contained in:
Nico Schottelius 2020-08-01 16:21:33 +02:00
parent e0a313c709
commit 7bbac98e3b
1 changed files with 4 additions and 5 deletions

View File

@ -33,11 +33,10 @@ fi
# don't care about other/old known_host entries
ssh-keygen -R ${viirb_ip}
ping -c2 ${viirb_ip}
if [ $? -ne 0 ]; then
echo "Cannot reach any VIIRB - exiting"
exit 1
fi
while ! ping -c1 ${viirb_ip}; do
echo "Cannot ping $viirb_ip yet - waiting"
sleep 1
done
cat ~/.ssh/id_rsa.pub | ssh root@${viirb_ip} "cat > /etc/dropbear/authorized_keys"